react-native - studio - yarn add react native fbsdk




Erro react-native-fbsdk: Nenhum recurso encontrado que corresponda ao nome fornecido: attr 'android: keyboardNavigationCluster' (2)

No meu projeto reagir-nativo em android / app / build.gradle eu tenho

...
compileSdkVersion 26
    buildToolsVersion "26.0.1"

    defaultConfig {
        applicationId "..."
        minSdkVersion 16
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        ndk {
            abiFilters "armeabi-v7a", "x86"
        }
    }

...

dependencies {
    compile project(':react-native-fbsdk')
    compile project(':react-native-vector-icons')
    compile project(':react-native-splash-screen')
    compile project(':react-native-spinkit')
    compile project(':react-native-orientation')
    compile project(':react-native-maps')
    compile project(':react-native-android-sms-listener')
    compile fileTree(dir: "libs", include: ["*.jar"])
    compile "com.android.support:appcompat-v7:26+"
    compile "com.android.support:design:26+"
    compile "com.android.support:recyclerview-v7:26+"
    compile "com.android.support:cardview-v7:26+"
    compile "com.facebook.react:react-native:+"  // From node_modules
    compile("com.crashlytics.sdk.android:crashlytics:[email protected]") {
        transitive = true;
    }
}
...

mas eu sempre recebo

<mypath> .../node_modules/react-native-fbsdk/android/build/intermediates/res/merged/release/values-v26/values-v26.xml:15:21-54: AAPT: No resource found that matches the given name: attr 'android:keyboardNavigationCluster'.

<mypath> .../node_modules/react-native-fbsdk/android/build/intermediates/res/merged/release/values-v26/values-v26.xml:15: error: Error: No resource found that matches the given name: attr 'android:keyboardNavigationCluster'.


:react-native-fbsdk:processReleaseResources FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':react-native-fbsdk:processReleaseResources'.
> com.android.ide.common.process.ProcessException: Failed to execute aapt

Vá para React-Native Project : arquivo android/build.gradle e restrinja a versão fbsdk para 4.28.0 .

allprojects {
    repositories {
        ...
        configurations.all {
            resolutionStrategy {
                force 'com.facebook.android:facebook-android-sdk:4.28.0'
            }
        }
    }
}

Se você tiver outro erro como abaixo:

Erro ao recuperar pai para item: Nenhum recurso encontrado que corresponda ao nome fornecido 'android: TextAppearance.Material.Widget.Button.Colored'`.

Podes tentar:

allprojects {
    repositories {
        ...
        configurations.all {
            resolutionStrategy {
                force 'com.facebook.android:facebook-android-sdk:4.22.1'
            }
        }
    }
}

Fonte: rafaesc


você vai para YOUR_PROJECT / node_modules / react-native-fbsdk / android / build.gradle

procurando pela linha 19:

dependencies {
    compile 'com.android.support:appcompat-v7:25.0.0'
    compile 'com.facebook.react:react-native:+' // support react-native-v0.22-rc+
    compile('com.facebook.android:facebook-android-sdk:4.+')
}

alterar compile ('com.facebook.android:facebook-android-sdk:4+') para compilar ('com.facebook.android:facebook-android-sdk:4.28.0')

Funciona para mim





react-native-fbsdk